import { DPoint } from './DPoint';
import { DCircle } from './DCircle';
export declare class DLine {
    a: number;
    b: number;
    c: number;
    p1: DPoint;
    p2: DPoint;
    constructor(a?: number, b?: number, c?: number, p1?: DPoint, p2?: DPoint);
    clone(): DLine;
    findPerpendicular(p: DPoint): DLine;
    perpendicularDistance(p: DPoint): number;
    intersection(l: DLine, d?: number): DPoint | null;
    intersectionWithCircle(circle: DCircle): DPoint | [DPoint, DPoint] | null;
    inRange(p: DPoint, d?: number): boolean;
    get minX(): number;
    get minY(): number;
    get maxX(): number;
    get maxY(): number;
    toString(): string;
    getValue(): number[];
    x(p: DPoint): DPoint;
    y(p: DPoint): DPoint;
    findPoint(l: DLine): DPoint | null;
    get isParallel(): boolean;
    get isParallelY(): boolean;
    get isParallelX(): boolean;
    get points(): [DPoint, DPoint];
    getFi(): number;
    toWKT(): string;
    movePoint(p: DPoint, d: number): DPoint;
    findFi(l: DLine, delta?: number): number;
    vectorProduct(l: DLine): DLine;
}
