"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FastSearch = void 0;
class FastSearch {
    constructor() {
        this.searchStore = {};
    }
    add(points) {
        for (const { x, y, z } of points) {
            if (!this.searchStore[x]) {
                this.searchStore[x] = {};
            }
            if (!this.searchStore[x][y]) {
                this.searchStore[x][y] = {};
            }
            this.searchStore[x][y][z || 'undefined'] = true;
        }
    }
    find({ x, y, z }) {
        if (!this.searchStore[x]) {
            return false;
        }
        if (!this.searchStore[x][y]) {
            return false;
        }
        return this.searchStore[x][y][z || 'undefined'];
    }
}
exports.FastSearch = FastSearch;
